cURL
curl --request POST \
--url https://api.qa.tech/v1/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": "<string>",
"branch": "<string>",
"commitHash": "<string>",
"commitMessage": "<string>",
"repository": "<string>",
"testPlanShortId": "<string>",
"applications": [
{
"applicationShortId": "<string>",
"environment": {
"url": "<string>",
"name": "<string>"
},
"devicePresetShortId": "<string>"
}
],
"notifications": [
{
"type": "slack",
"channel": "<string>"
}
]
}
'import requests
url = "https://api.qa.tech/v1/run"
payload = {
"actor": "<string>",
"branch": "<string>",
"commitHash": "<string>",
"commitMessage": "<string>",
"repository": "<string>",
"testPlanShortId": "<string>",
"applications": [
{
"applicationShortId": "<string>",
"environment": {
"url": "<string>",
"name": "<string>"
},
"devicePresetShortId": "<string>"
}
],
"notifications": [
{
"type": "slack",
"channel": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor: '<string>',
branch: '<string>',
commitHash: '<string>',
commitMessage: '<string>',
repository: '<string>',
testPlanShortId: '<string>',
applications: [
{
applicationShortId: '<string>',
environment: {url: '<string>', name: '<string>'},
devicePresetShortId: '<string>'
}
],
notifications: [{type: 'slack', channel: '<string>'}]
})
};
fetch('https://api.qa.tech/v1/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"run": {
"id": "<string>",
"shortId": "<string>",
"url": "<string>",
"testCount": 123,
"testPlan": {
"name": "<string>",
"shortId": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Post run
Execute a run for a given project
POST
/
run
cURL
Authorizations
Project API token from Settings > Integrations > API. The token is scoped to a specific project.
Body
application/json
Was this page helpful?